package com.peetz.tradingcards.service;

import java.util.Collection;

import javax.ejb.Local;

import com.peetz.tradingcards.entity.PositionEntity;
import com.peetz.tradingcards.entity.SportEntity;
import com.peetz.tradingcards.entity.TeamEntity;

@Local
public interface SportService {

	Collection<SportEntity> getAllSports();

	Collection<TeamEntity> getAllTeams();

	void addSport(String name);

	Collection<TeamEntity> getTeams(SportEntity sport);

	Collection<PositionEntity> getPositions(SportEntity sport);

}
